Commit a49baa5c authored by Stefan Bürk's avatar Stefan Bürk Committed by Christian Kuhn
Browse files

[TASK] runTests.sh: Allow PHP version 8.1

PHP 8.1 introduces language features and deprecations.

As always, the first step is having a green test suite.
Testing container typo3/core-testing-php81 has just
been released, coming with PHP 8.1.0 RC1.

Some issues are obvious when running the test suites,
they will be fixed with upcoming patches. This patch
adds support for PHP 8.1 to runTests.sh, example:

  Build/Scripts/runTests.sh -p 8.1 -s unit

Resolves: #95141
Releases: master
Change-Id: Ia5d09ddc2a3114e07a8f87aa9ef14740be2785af
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/70960


Reviewed-by: crell's avatarcrell <larry@garfieldtech.com>
Reviewed-by: Christian Kuhn's avatarChristian Kuhn <lolli@schwarzbu.ch>
Tested-by: core-ci's avatarcore-ci <typo3@b13.com>
Tested-by: crell's avatarcrell <larry@garfieldtech.com>
Tested-by: Christian Kuhn's avatarChristian Kuhn <lolli@schwarzbu.ch>
parent 5bff334a
......@@ -176,10 +176,11 @@ Options:
Hack functional or acceptance tests into #numberOfChunks pieces and run tests of #chunk.
Example -c 3/13
-p <7.4|8.0>
-p <7.4|8.0|8.1>
Specifies the PHP minor version to be used
- 7.4 (default): use PHP 7.4
- 8.0: use PHP 8.0
- 8.1: use PHP 8.1
-e "<phpunit options>"
Only with -s functional|unit|unitDeprecated|unitRandom|acceptance
......@@ -350,7 +351,7 @@ while getopts ":a:s:c:d:i:j:k:p:e:xy:o:nhuv" OPT; do
;;
p)
PHP_VERSION=${OPTARG}
if ! [[ ${PHP_VERSION} =~ ^(7.4|8.0)$ ]]; then
if ! [[ ${PHP_VERSION} =~ ^(7.4|8.0|8.1)$ ]]; then
INVALID_OPTIONS+=(${OPTARG})
fi
;;
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment